## shapelib 1.4.0

=== CMakeLists.txt ===
# Top-level CMakeLists.txt for the CMake-based build and test system
# of the shapelib software.

# Copyright (C) 2012-2013 Alan W. Irwin

# See README.CMake

# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as published
# by the Free Software Foundation; version 2 of the License.
#
# This file is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with this file; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA

# It is a fatal error if no working C compiler is available to build
# the shapelib library and utilities
project(shapelib C)

message(STATUS "CMake version = ${CMAKE_VERSION}")
message(STATUS "CMAKE_SYSTEM_NAME = ${CMAKE_SYSTEM_NAME}")

# Version 2.8.5 or above of cmake is currently required for all platforms.
cmake_minimum_required(VERSION 2.8.5 FATAL_ERROR)

# libraries are all shared by default.
option(BUILD_SHARED_LIBS "Build shared libraries" ON)

# Use rpath?
if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
  # No rpath on Darwin. Setting it will only cause trouble.
else(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
  option(USE_RPATH "Use -rpath when linking libraries, executables" ON)
endif(CMAKE_SYSTEM_NAME STREQUAL "Darwin")

# In windows all created dlls are gathered in the dll directory
# if you add this directory to your PATH all shared libraries are available
if(BUILD_SHARED_LIBS AND WIN32 AND NOT CYGWIN)
  set(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/dll)
endif(BUILD_SHARED_LIBS AND WIN32 AND NOT CYGWIN)

set(PACKAGE shp)

# Set up install locations.
set(
  CMAKE_INSTALL_BINDIR
  ${CMAKE_INSTALL_PREFIX}/bin
  CACHE PATH "install location for user executables"
  )

set(
  CMAKE_INSTALL_LIBDIR
  ${CMAKE_INSTALL_PREFIX}/lib
  CACHE PATH "install location for object code libraries"
  )

set(
  CMAKE_INSTALL_INCLUDEDIR
  ${CMAKE_INSTALL_PREFIX}/include
  CACHE PATH "install location for C header files"
  )

set(
  CMAKE_INSTALL_SHP_DATADIR
  ${CMAKE_INSTALL_PREFIX}/share/${PACKAGE}
  CACHE PATH "install location for read-only architecture-independent shp data"
  )

# Export build information to help other projects link installed
# shapelib software.  Only one of these signatures is required
# for the export_shp name.
install(EXPORT export_shp DESTINATION ${CMAKE_INSTALL_SHP_DATADIR})

# Initial boilerplate done, now build library and executables.

set(lib_SRC
  shpopen.c
  dbfopen.c
  safileio.c
  shptree.c
  sbnsearch.c
  )
option(SHP_DROP_UNABLE_TO_OPEN_MSG "Drop \"unable to open\" error messages" ON)
if(SHP_DROP_UNABLE_TO_OPEN_MSG)
  #define the SHP_DROP_UNABLE_TO_OPEN_MSG C macro for this source file.
  set_source_files_properties(shpopen.c
    PROPERTIES
    COMPILE_DEFINITIONS SHP_DROP_UNABLE_TO_OPEN_MSG
    )
endif(SHP_DROP_UNABLE_TO_OPEN_MSG)

add_library(shp ${lib_SRC})

if(WIN32 AND NOT CYGWIN)
  set_target_properties(shp
    PROPERTIES
    COMPILE_DEFINITIONS SHAPELIB_DLLEXPORT
    )
endif(WIN32 AND NOT CYGWIN)

if(UNIX)
    find_library(M_LIB m)
    if(M_LIB)
      TARGET_LINK_LIBRARIES(shp -lm)
    endif()
endif(UNIX)

set(shp_SOVERSION 1)
set(shp_VERSION 1.4.0)
set_target_properties(shp
  PROPERTIES 
  SOVERSION ${shp_SOVERSION}
  VERSION ${shp_VERSION}
  INSTALL_NAME_DIR "${CMAKE_INSTALL_LIBDIR}"
  )

if(USE_RPATH)
  set_target_properties(shp
    PROPERTIES 
    INSTALL_RPATH "${CMAKE_INSTALL_LIBDIR}"
    )
endif(USE_RPATH)

install(TARGETS shp
  EXPORT export_shp
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  )

# executables to be built and installed.
set(executables
  shpcreate
  shpadd
  shpdump
  shprewind 
  dbfcreate
  dbfadd
  dbfdump
  shptreedump
  )

find_program(BASH_EXECUTABLE bash)
find_program(SED_EXECUTABLE sed)
if(BASH_EXECUTABLE AND SED_EXECUTABLE)
  set(BUILD_TEST ON)
else(BASH_EXECUTABLE AND SED_EXECUTABLE)
  message(STATUS "WARNING: sed or bash not available so disabling testing")
endif(BASH_EXECUTABLE AND SED_EXECUTABLE)

# For the first series of tests, the user needs to have downloaded
# from http://dl.maptools.org/dl/shapelib/shape_eg_data.zip, unpacked
# that file, and specified the location of that directory with
# the cmake option, -DEG_DATA:PATH=whatever
if(BUILD_TEST)
  if(EG_DATA)
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/script.sed "s?/u/www/projects/shapelib/eg_data?${EG_DATA}?\n")
  else(EG_DATA)
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/script.sed "")
    message(STATUS "WARNING: EG_DATA:PATH not set to point to downloaded eg_data directory so the eg_data part of testing will be ignored.")
  endif(EG_DATA)
endif(BUILD_TEST)

foreach(executable ${executables})
  add_executable(${executable} ${executable}.c)
  target_link_libraries(${executable} shp)
  if(USE_RPATH)
    set_target_properties(${executable}
      PROPERTIES
      INSTALL_RPATH "${CMAKE_INSTALL_LIBDIR}"
      )
  endif(USE_RPATH)
  if(BUILD_TEST)
    get_target_property(${executable}_LOC ${executable} LOCATION)
    file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/script.sed "s?\\./${executable}?${${executable}_LOC}?\n")
  endif(BUILD_TEST)
  install(TARGETS ${executable} DESTINATION ${CMAKE_INSTALL_BINDIR})
endforeach(executable ${executables})

# Install header
install(FILES shapefil.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

if(BUILD_TEST)
  # Set up tests:

  enable_testing()

  # Other executables to be built to facilitate tests.
  foreach(executable shptest shputils)
    add_executable(${executable} ${executable}.c)
    target_link_libraries(${executable} shp)
    get_target_property(${executable}_LOC ${executable} LOCATION)
    file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/script.sed "s?\\./${executable}?${${executable}_LOC}?\n")
  endforeach(executable shptest shputils)

  # Write this as a shell script since execute_process cannot handle
  # anything like redirection.
  file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/script.sh "${SED_EXECUTABLE} -f script.sed < $1 >| $2")
  execute_process(
    COMMAND
    ${BASH_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/script.sh ${CMAKE_CURRENT_SOURCE_DIR}/tests/test1.sh ${CMAKE_CURRENT_BINARY_DIR}/sed_scripted_test1.sh
    )

  execute_process(
    COMMAND
    ${BASH_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/script.sh ${CMAKE_CURRENT_SOURCE_DIR}/tests/test2.sh ${CMAKE_CURRENT_BINARY_DIR}/sed_scripted_test2.sh
    )

  execute_process(
    COMMAND
    ${BASH_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/script.sh ${CMAKE_CURRENT_SOURCE_DIR}/tests/test3.sh ${CMAKE_CURRENT_BINARY_DIR}/sed_scripted_test3.sh
    )

  if(EG_DATA)
    # These tests correspond to everything in test1.sh
    add_test(
      NAME test1
      COMMAND ${BASH_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/sed_scripted_test1.sh
      )
  endif(EG_DATA)
  # These tests correspond to everything in test2.sh
  add_test(
    NAME test2
    COMMAND ${BASH_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/sed_scripted_test2.sh
    )

  # These tests correspond to everything in test3.sh
  add_test(
    NAME test3
    COMMAND ${BASH_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/sed_scripted_test3.sh
    )
endif(BUILD_TEST)

## shapelib 1.2.10

=== debian/changelog ===
shapelib (1.2.10-7) unstable; urgency=low

  * Team Upload
  * Remove patch 0001 (Disable proj_api.h include), this was never used
  * Apply patch from Simon Ruderich to use all hardening flags
    (Closes: #672465)

 -- Arto Jantunen <viiru@debian.org>  Sun, 03 Jun 2012 12:01:04 +0300

shapelib (1.2.10-6) unstable; urgency=low

  * Team Upload
  * Update to the dh tool (and debhelper compat 9)
  * Stop distributing libtool .la file
  * Enable multiarch (Closes: #670632)
  * Update Standards-Version, no (further) changes
  * Add section to the source package (thanks lintian)
  * Modify short description to not start with an article (thanks lintian)
  * Add Vcs-* fields to debian/control
  * Convert to source-format 3.0 (quilt)
  * Update libtool patch to fully use system libtool without any kludges
    (Closes: #316945)
  * Add patch to dynamically link the shp* binaries to libshp
  * Add patch to stop setting CFLAGS in the Makefile, allowing debhelper
    to set it instead

 -- Arto Jantunen <viiru@debian.org>  Tue, 08 May 2012 22:59:51 +0300

shapelib (1.2.10-5) unstable; urgency=low

  * Long due upload.
  * Maintainership moved to DebianGis team. Thanks Noèl.
  * Policy changed to 3.8.3.
  * Debhelper level set to 7.
  * debian/rules revised to use dh_install and dh_prep.
  * debian/control now has better descriptions.
  * debian/control variables changed to 3.7+ versions.
  * debian/watch revised.
    (closes: #539342)
  * Fixed debian/changelog typo.
  * Added copyright notice in debian/control.
  * Removed obsolete (?) man2html build-dep.
  * Ack previous couple of NMUs, as merged.
    (closes: #553256, #497160)
  * Long descriptions revised.
    (closes: #556606)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 29 Nov 2009 08:46:41 +0100

shapelib (1.2.10-3) unstable; urgency=low

  * closing fixed NMU bug
    (closes: Bug#308238)
  * Updated Standards-Version
  * added watch file

 -- Noèl Köthe <noel@debian.org>  Fri, 08 Apr 2005 10:51:19 +0200

shapelib (1.2.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bug fix: "libshp1: Segfault when freeing a buffer in DBFClose().",
    thanks to M Joonas Pihlaja (Closes: #308238).
  * Change section of libshp-dev to libdevel to match override

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 16 May 2005 23:02:24 +0200

shapelib (1.2.10-2) unstable; urgency=low

  * added dbfmtsafe.patch from M Joonas Pihlaja <jpihlaja cc.helsinki.fi>
    Thanks alot Joonas!
  * added manpages from M Joonas Pihlaja <jpihlaja cc.helsinki.fi>
    Thanks for your work Joonas!
    (closes: Bug#148037)

 -- Noèl Köthe <noel@debian.org>  Fri, 08 Apr 2005 10:51:19 +0200

shapelib (1.2.10-1) unstable; urgency=low

  * new upstream release 
  * upstream fixed crashs when there's no .shx file
    (closes: Bug#219703)
  * updated shapelib homepage URL in control and copyright
  * updated my name to correct spelling
  * updated Standards-Version
  * added /usr/bin/shprewind to the package

 -- Noèl Köthe <noel@debian.org>  Fri, 09 Apr 2004 16:27:05 +0200

shapelib (1.2.9-3) unstable; urgency=low

  * corrected description
    (closes: Bug#163766)

 -- Noel Koethe <noel@debian.org>  Mon, 14 Oct 2002 20:02:00 +0200

shapelib (1.2.9-2) unstable; urgency=low

  * corrected libary dependency (shapelib1->libshp1)

 -- Noel Koethe <noel@debian.org>  Sun, 18 Aug 2002 16:33:00 +0200

shapelib (1.2.9-1) unstable; urgency=low

  * Initial Release.
    (Closes: Bug#146385)

 -- Noel Koethe <noel@debian.org>  Thu,  9 May 2002 13:34:01 +0200

=== debian/control ===
Source: shapelib
Priority: optional
Section: libs
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 9), libtool
Standards-Version: 3.9.3
Homepage: http://shapelib.maptools.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/shapelib.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/shapelib.git

Package: shapelib
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Library for reading and writing ArcView Shapefiles - tools
 The Shapefile format is a working and interchange format promoted by
 ESRI for simple vector data with attributes. It is apparently the only
 file format that can be edited in ARCView 2/3, and can also be exported
 and imported in Arc/Info.
 .
 This package contains a useful set of tools to manage shapefiles.

Package: libshp-dev
Section: libdevel
Architecture: any
Depends: libshp1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Library for reading and writing ArcView Shapefiles - development files
 The Shapefile format is a working and interchange format promoted by
 ESRI for simple vector data with attributes. It is apparently the only
 file format that can be edited in ARCView 2/3, and can also be exported
 and imported in Arc/Info.
 .
 This package includes the development files.

Package: libshp1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Library for reading and writing ArcView Shapefiles
 The Shapefile format is a working and interchange format promoted by
 ESRI for simple vector data with attributes. It is apparently the only
 file format that can be edited in ARCView 2/3, and can also be exported
 and imported in Arc/Info.
 .
 This package includes the shared library.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_test:

override_dh_auto_build:
	mv shprewind shprewind.bak
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	mv shprewind.bak shprewind || true

override_dh_auto_install:
        # have to copy the files by hand.:(
	mkdir -p debian/tmp/usr/bin/
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir debian/tmp/usr/include/
	cp dbfadd dbfcreate dbfdump shpadd shpcreate shpdump shprewind \
	shptest debian/tmp/usr/bin/
	cp .libs/libshp.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp .libs/libshp.so.1.0.1 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	ln -s libshp.so.1.0.1 libshp.so
	ln -s libshp.so.1.0.1 libshp.so.1
	mv libshp.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp shapefil.h debian/tmp/usr/include/

=== debian/watch ===
version=3
http://dl.maptools.org/dl/shapelib/ shapelib-([\d\.]+)\.tar\.gz

## shapelib 1.3.0

=== debian/changelog ===
shapelib (1.3.0-5) unstable; urgency=medium

  [ Johan Van de Wauw ]
  * Add man pages for dbfcat, dbfinfo, shpcat, shpcentrd, shpdxf, shpfix,
    shpinfo & shpproj.

  [ Bas Couwenberg ]
  * Update my email to @debian.org address.
  * Add upstream metadata.
  * Update watch file with sepwatch changes. 
  * Add common version mangling in watch file.
  * Merge man pages from 0001-Add-manpages.patch with man pages from Johan.
  * Add patch to fix 'useful' typo.
  * Add patch to use local CSS to fix privacy-breach-generic lintian issue.
  * Install all HTML documentation.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Aug 2015 12:50:28 +0200

shapelib (1.3.0-4) unstable; urgency=medium

  [ Arto Jantunen ]
  * Add build-dependency on libtool-bin. (closes: #761786)

  [ Johan Van de Wauw ]
  * Use dpkg buildflags in contrib (fixes hardening warnings).

  [ Bas Couwenberg ]
  * Add myself to Uploaders.
  * Add gbp.conf to use pristine-tar by default.
  * Update copyright file.
  * Add symbols file for libshp.
  * Bump Standards-Version to 3.9.6, changes: symbols & copyright.
  * Add doc-base control file.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 14 Oct 2014 22:01:30 +0200

shapelib (1.3.0-3) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Fix FTBFS on powerpc by prefixing _{BIG,LITTLE}_ENDIAN with
    LIBSHAPE. (Names starting with an underscore are reserved.).
    (Closes: #742148)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 26 Mar 2014 11:49:19 +0100

shapelib (1.3.0-2) unstable; urgency=medium

  * Moved to DEP5 copyright format and annotated double licensing,
    previously missing. (Closes: #742039)
  * Revised long description in debian/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 18 Mar 2014 21:41:10 +0100

shapelib (1.3.0-1) unstable; urgency=medium

  [ Arto Jantunen ]
  * Imported Upstream version 1.3.0 (Closes: #526984)
  * Remove patch 0002 (Thread safety fixes), no longer needed
  * Update build system patches (0003-0005) to match new Makefile
  * debian/shapelib.docs: update for new file locations
  * debian/rules: update for new version
  * Bump SONAME due to API and ABI changes in 1.3.0

  [ Francesco Paolo Lovergine ]
  * Annotated latest changes by Arto into debian/changelog.
  * Updated debian/watch file to current repository.
  * Policy bumped to 3.9.5, no changes required.
  * Now installing also contributed tools (Closes: #539341).
  * Added a new b-d on libproj-dev.

 -- Arto Jantunen <viiru@debian.org>  Sat, 15 Mar 2014 16:55:43 +0100

=== debian/control ===
Source: shapelib
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               libtool,
               libtool-bin,
               libproj-dev,
               ruby-ronn
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/shapelib.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/shapelib.git
Homepage: http://shapelib.maptools.org/

Package: shapelib
Architecture: any
Multi-Arch: foreign
Section: graphics
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Library for reading and writing ESRI Shapefiles - tools
 The Shapefile format is a working and interchange format promoted by
 ESRI for simple vector data with attributes. It is apparently the only
 file format that can be edited in ARCView 2/3, and can also be exported
 and imported in ArcGis.
 .
 This package contains a useful set of tools to manage shapefiles.

Package: libshp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libshp2 (= ${binary:Version}),
         ${misc:Depends}
Description: Library for reading and writing ESRI Shapefiles - development files
 The Shapefile format is a working and interchange format promoted by
 ESRI for simple vector data with attributes. It is apparently the only
 file format that can be edited in ARCView 2/3, and can also be exported
 and imported in ArcGis.
 .
 This package includes the development files.

Package: libshp2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for reading and writing ESRI Shapefiles
 The Shapefile format is a working and interchange format promoted by
 ESRI for simple vector data with attributes. It is apparently the only
 file format that can be edited in ARCView 2/3, and can also be exported
 and imported in ArcGis.
 .
 This package includes the shared library.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CONTRIB = shpdxf shpproj dbfinfo shpcentrd shpdata shpwkb dbfinfo dbfcat shpinfo shpfix shpcat Shape_PointInPoly shpsort

%:
	dh $@

override_dh_auto_test:

override_dh_auto_build:
	dh_auto_build
	make -C $(CURDIR)/contrib 
	ronn -r --manual=shplib debian/man/*.md

override_dh_auto_clean:
	dh_auto_clean
	make -C $(CURDIR)/contrib clean
	rm -f contrib/Shape_PointInPoly contrib/shpsort
	rm -f debian/man/*.1

override_dh_auto_install:
	mkdir -p debian/tmp/usr/bin/
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir debian/tmp/usr/include/
	make bin_install PREFIX=debian/tmp/usr
	cp .libs/libshp.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp .libs/libshp.so.2.0.0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	ln -s libshp.so.2.0.0 libshp.so
	ln -s libshp.so.2.0.0 libshp.so.2
	mv libshp.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp shapefil.h debian/tmp/usr/include/
	for prg in $(CONTRIB); do \
		cp contrib/$$prg debian/tmp/usr/bin/. ; \
	done

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://download.osgeo.org/shapelib/ \
(?:|.*/)shapelib(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## shapelib 1.4.0

=== debian/changelog ===
shapelib (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Dec 2016 15:29:06 +0100

shapelib (1.4.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Force lowercase RC in watch file.
  * Update copyright file, changes:
    - Add copyright holders
    - Add license & copyright for CMakeLists.txt & sbnsearch.c
    - Drop license & copyright for csv2shp.c & my_nan.h
    - Rename MIT license shortname to Expat
  * Use dh-autoreconf for retooling.
  * Add patch to re-bump SONAME (see 1.3.0-1).
  * Override dh_makeshlibs to strip Debian revision from symbols version.
  * Update symbols for 1.4.0~rc1.
  * Override dh_install to use --list-missing.
  * Include pkgconfig script in -dev package.
  * Explicitly remove .la files.
  * Drop obsolete build system patches.
  * Use dh_auto_* tools instead of custom commands.
  * Add manpage for shputils.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Dec 2016 21:37:21 +0100

shapelib (1.3.0-8) unstable; urgency=medium

  * Set timestamp in manpages generated by ronn to changelog date.
  * Add manpages for Shape_PointInPoly & shp{data,sort,treedump,wkb}.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 May 2016 20:07:41 +0200

shapelib (1.3.0-7) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 18:57:14 +0200

shapelib (1.3.0-6) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Enable parallel builds.
  * Update spelling patch to fix additional issues.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Mar 2016 17:46:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               libtool,
-               libtool-bin,
+               dh-autoreconf,
                libproj-dev,
                ruby-ronn
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/shapelib.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/shapelib.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/shapelib.git
 Homepage: http://shapelib.maptools.org/
 
 Package: shapelib

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

BUILD_DATE := $(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%Y-%m-%d" -f -)

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

%:
	dh $@ --with autoreconf --parallel

override_dh_clean:
	dh_clean debian/man/*.1

override_dh_auto_build:
	dh_auto_build
	ronn -r --date="$(BUILD_DATE)" --manual=shplib debian/man/*.md

override_dh_auto_install:
	dh_auto_install

	# Don't install .la files
	$(RM) debian/*/usr/lib/*/*.la

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION)

## shapelib 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -111,7 +111,7 @@
 endif(UNIX)
 
 set(shp_SOVERSION 1)
-set(shp_VERSION 1.4.0)
+set(shp_VERSION 1.4.1)
 set_target_properties(shp
   PROPERTIES 
   SOVERSION ${shp_SOVERSION}

=== debian/changelog ===
shapelib (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Sep 2017 20:46:59 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-autoreconf,
                libproj-dev,
                ruby-ronn
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/shapelib.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/shapelib.git
 Homepage: http://shapelib.maptools.org/

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,11 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-BUILD_DATE := $(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%Y-%m-%d" -f -)
+include /usr/share/dpkg/pkg-info.mk
 
-UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
+BUILD_DATE := $(shell LC_ALL=C date -u "+%Y-%m-%d" -d "@$(SOURCE_DATE_EPOCH)")
+
+UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 %:
 	dh $@ --with autoreconf --parallel

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://download.osgeo.org/shapelib/ \
(?:|.*/)shapelib(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## shapelib 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -111,7 +111,7 @@
 endif(UNIX)
 
 set(shp_SOVERSION 1)
-set(shp_VERSION 1.4.1)
+set(shp_VERSION 1.5.0)
 set_target_properties(shp
   PROPERTIES 
   SOVERSION ${shp_SOVERSION}

=== debian/changelog ===
shapelib (1.5.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Don't rename manpages, not needed for ruby-ronn 0.9.0.
    (closes: #956280)
  * Drop manpages for removed executables.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Apr 2020 16:58:46 +0200

shapelib (1.5.0-1) unstable; urgency=medium

  * Update upstream metadata for move to GitHub.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 13:18:45 +0200

shapelib (1.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Add Build-Depends-Package field to symbols file.
  * Drop libproj-dev build dependency.
  * Rename manpages to replace .md.1 suffix with .1.
  * Drop contrib/shpproj.c from copyright file, removed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 28 Feb 2019 17:30:55 +0100

shapelib (1.4.1-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 19:31:41 +0200

shapelib (1.4.1-2) unstable; urgency=medium

  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update watch file to use HTTPS.
  * Rename PROJ.4 to PROJ.
  * Update Vcs-* URLs for Salsa.
  * Update ronn build dependency.
    (closes: #903068)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Jul 2018 22:44:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               libproj-dev,
-               ruby-ronn
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/shapelib.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/shapelib.git
+Build-Depends: debhelper (>= 10~),
+               ronn (>= 0.9.0)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/shapelib
+Vcs-Git: https://salsa.debian.org/debian-gis-team/shapelib.git
 Homepage: http://shapelib.maptools.org/
 
 Package: shapelib
@@ -54,4 +52,3 @@
  and imported in ArcGis.
  .
  This package includes the shared library.
-

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_clean:
 	dh_clean debian/man/*.1
@@ -30,4 +30,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION)
-

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://download.osgeo.org/shapelib/ \
(?:|.*/)shapelib(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## shapelib 1.6.0

=== debian/changelog ===
shapelib (1.6.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Dec 2023 21:21:20 +0100

shapelib (1.6.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Dec 2023 16:35:25 +0100

shapelib (1.6.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
    (closes: #1047900)
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Drop double free patch, included upstream.
  * Update symbols for 1.6.0~rc1.
  * Add csv2shp manpage.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Dec 2023 21:28:24 +0100

shapelib (1.5.0-3) unstable; urgency=high

  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.1, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add upstream patch to fix CVE-2022-0699.
    (closes: #1022557)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Oct 2022 05:38:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                ronn (>= 0.9.0)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/shapelib
 Vcs-Git: https://salsa.debian.org/debian-gis-team/shapelib.git
 Homepage: http://shapelib.maptools.org/
+Rules-Requires-Root: no
 
 Package: shapelib
 Architecture: any
@@ -29,7 +30,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libshp2 (= ${binary:Version}),
+Depends: libshp4 (= ${binary:Version}),
          ${misc:Depends}
 Description: Library for reading and writing ESRI Shapefiles - development files
  The Shapefile format is a working and interchange format promoted by
@@ -39,7 +40,7 @@
  .
  This package includes the development files.
 
-Package: libshp2
+Package: libshp4
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},

## shapelib 1.6.1

=== CMakeLists.txt ===
# Top-level CMakeLists.txt for the CMake-based build and test system
# of the shapelib software.
#
# Copyright (C) 2012-2013, Alan W. Irwin
#
# SPDX-License-Identifier: MIT OR LGPL-2.0-or-later
#
# See README.CMake

# Version 3.11 or above of cmake is currently required for all platforms.
cmake_minimum_required(VERSION 3.11)
project(shapelib C CXX)

message(STATUS "CMake version = ${CMAKE_VERSION}")
message(STATUS "CMAKE_SYSTEM_NAME = ${CMAKE_SYSTEM_NAME}")

set(PROJECT_VERSION_MAJOR 1)
set(PROJECT_VERSION_MINOR 6)
set(PROJECT_VERSION_PATCH 1)
set(shp_LIB_VERSIONINFO "5:0:1")
set(PROJECT_VERSION
  "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")

set(EG_DATA ${PROJECT_SOURCE_DIR}/tests/shape_eg_data CACHE STRING "")

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

# libraries are all shared by default.
option(BUILD_SHARED_LIBS "Build shared libraries" ON)

# Option to build executables
option(BUILD_APPS "Build executables" ON)
# Option to build contributed utilities
# Defaults to ${BUILD_APPS}. If you reconfigure with a different BUILD_APPS
# value, be aware that you have to explicitly change BUILD_SHAPELIB_CONTRIB,
# otherwise the previous value from the cache will be used.
option(BUILD_SHAPELIB_CONTRIB "Build utilities (from contrib)" ${BUILD_APPS})

# Use rpath?
if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
  # No rpath on Darwin. Setting it will only cause trouble.
else()
  option(USE_RPATH "Use -rpath when linking libraries, executables" ON)
endif()

# In windows all created dlls are gathered in the dll directory
# if you add this directory to your PATH all shared libraries are available
if(BUILD_SHARED_LIBS AND (WIN32 OR CYGWIN))
  set(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/dll)
endif()

set(PACKAGE shp)

# Set up install locations.
set(
  CMAKE_INSTALL_BINDIR bin
  CACHE PATH "install location for user executables"
)

set(
  CMAKE_INSTALL_LIBDIR lib
  CACHE PATH "install location for object code libraries"
)

set(
  CMAKE_INSTALL_INCLUDEDIR include
  CACHE PATH "install location for C header files"
)

set(
  CMAKE_INSTALL_CMAKEDIR share/${PROJECT_NAME}
  CACHE PATH "install location for read-only architecture-independent shp data"
)

file(RELATIVE_PATH RELATIVE_LIBDIR
  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}
  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
)

message(STATUS "CMAKE_INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR}")

set(prefix "${CMAKE_INSTALL_PREFIX}")
set(exec_prefix "\${prefix}")
if(IS_ABSOLUTE "${CMAKE_INSTALL_LIBDIR}")
  set(libdir "${CMAKE_INSTALL_LIBDIR}")
else()
  set(libdir "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
endif()
if(IS_ABSOLUTE "${CMAKE_INSTALL_INCLUDEDIR}")
  set(includedir "${CMAKE_INSTALL_INCLUDEDIR}")
else()
  set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
endif()
set(SHAPELIB_PC ${CMAKE_CURRENT_BINARY_DIR}/shapelib.pc)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/shapelib.pc.cmake.in
  ${SHAPELIB_PC} @ONLY
)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  # Set a default build type for single-configuration cmake generators
  # if no build type is set.
  set(CMAKE_BUILD_TYPE Release)
endif()

# Export build information to help other projects link installed
# shapelib software.  Only one of these signatures is required
# for the export_shp name.
install(EXPORT targets
  NAMESPACE ${PROJECT_NAME}::
  DESTINATION ${CMAKE_INSTALL_CMAKEDIR}
  FILE "${PROJECT_NAME}-targets.cmake"
)

# Initial boilerplate done, now build library and executables.

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif()

set(lib_SRC
  shpopen.c
  dbfopen.c
  safileio.c
  shptree.c
  sbnsearch.c
  shapefil.h
  shapefil_private.h
  shapelib.def
)

add_library(${PACKAGE} ${lib_SRC})

target_include_directories(${PACKAGE}
  INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

include(TestBigEndian)
if(HAVE_BYTE_ORDER_BIG_ENDIAN)
  # Define SHP_BIG_ENDIAN if the system is big-endian
  add_definitions(-DSHP_BIG_ENDIAN=1)
endif()

if(MSVC)
  target_compile_options(${PACKAGE} PRIVATE /W4)
else()
  target_compile_options(${PACKAGE} PRIVATE -Wall -Wextra -Wformat-signedness -pedantic -Wno-unknown-warning-option)
endif()

if(WIN32 AND NOT CYGWIN)
  set_target_properties(${PACKAGE} PROPERTIES
    COMPILE_DEFINITIONS SHAPELIB_DLLEXPORT
  )
endif()

if(UNIX)
  find_library(M_LIB m)
  if(M_LIB)
    target_link_libraries(${PACKAGE} -lm)
  endif()
endif()

# Convert shp_LIB_VERSIONINFO libtool version format into SOVERSION
# Convert from ":" separated into CMake list format using ";"
string(REPLACE ":" ";" shp_LIB_VERSIONINFO ${shp_LIB_VERSIONINFO})
list(GET shp_LIB_VERSIONINFO 0 shp_LIB_VERSION_CURRENT)
list(GET shp_LIB_VERSIONINFO 2 shp_LIB_VERSION_AGE)
math(EXPR shp_SOVERSION "${shp_LIB_VERSION_CURRENT} - ${shp_LIB_VERSION_AGE}")
set(shp_VERSION ${PROJECT_VERSION})
set_target_properties(${PACKAGE} PROPERTIES
  SOVERSION ${shp_SOVERSION}
  VERSION ${shp_VERSION}
)

if(USE_RPATH)
  set_target_properties(${PACKAGE} PROPERTIES
    INSTALL_RPATH "${CMAKE_INSTALL_LIBDIR}"
  )
endif()

install(TARGETS ${PACKAGE}
  EXPORT targets
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

# executables to be built and installed.
if(BUILD_APPS)
  set(executables
    shpcreate
    shpadd
    shpdump
    shprewind
    dbfcreate
    dbfadd
    dbfdump
    shptreedump
  )
endif()

find_program(BASH_EXECUTABLE bash)
if(BASH_EXECUTABLE)
  set(BUILD_TESTING ON CACHE BOOL "")
else()
  message(STATUS "WARNING: bash not available so disabling testing")
endif()

if(NOT MSVC)
  # Set the run time path for shared libraries for non-Windows machines.
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
  if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    # See also INSTALL_RPATH property on the tools.
    set(CMAKE_MACOSX_RPATH ON)
  else()
    # Use relative path so that package is relocatable
    set(CMAKE_INSTALL_RPATH "\$ORIGIN/${RELATIVE_LIBDIR}")
  endif()
endif()

foreach(executable ${executables})
  add_executable(${executable} ${executable}.c)
  target_link_libraries(${executable} ${PACKAGE})
  if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    # Ensure that the package is relocatable
    set_target_properties(${TOOLS} PROPERTIES
      INSTALL_RPATH "@loader_path/${RELATIVE_LIBDIR}")
  endif()
  if(NOT MSVC)
    target_compile_options(${executable} PRIVATE -Wall -Wextra)
  endif()
endforeach(executable ${executables})

install(TARGETS ${executables}
  EXPORT targets DESTINATION ${CMAKE_INSTALL_BINDIR})

# Install header
install(FILES shapefil.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

# Install pkg-config file
install(FILES "${SHAPELIB_PC}" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

if(BUILD_TESTING)
  # Set up tests:

  enable_testing()

  # Other executables to be built to facilitate tests.
  foreach(executable shptest shputils)
    add_executable(${executable} ${executable}.c)
    target_link_libraries(${executable} PRIVATE ${PACKAGE})
    if (BUILD_SHARED_LIBS AND ${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.21" AND (WIN32 OR CYGWIN))
      add_custom_command(
        TARGET ${executable} POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_RUNTIME_DLLS:${executable}> $<TARGET_FILE_DIR:${executable}>
        COMMAND_EXPAND_LISTS
      )
    endif()
  endforeach()

  # Set environment variables defining path to executables being used
  function(declare_test_executable TEST TARGETS)
    foreach(TARGET ${TARGETS})
      string(TOUPPER ${TARGET} NAME)
      list(APPEND TEST_ENV ${NAME}=$<TARGET_FILE:${TARGET}>)
    endforeach()

    set_tests_properties(${TEST} PROPERTIES ENVIRONMENT "${TEST_ENV}")
  endfunction()

  if(EG_DATA)
    add_test(
      NAME test1
      COMMAND
        ${BASH_EXECUTABLE} ${PROJECT_SOURCE_DIR}/tests/test1.sh ${PROJECT_SOURCE_DIR}/tests/expect1.out ${EG_DATA}
    )
    declare_test_executable(test1 "shpdump;dbfdump")
  endif()

  add_test(
    NAME test2
    COMMAND
      ${BASH_EXECUTABLE} ${PROJECT_SOURCE_DIR}/tests/test2.sh ${PROJECT_SOURCE_DIR}/tests/expect2.out
  )
  declare_test_executable(test2 "dbfadd;dbfcreate;dbfdump;shpadd;shpcreate;shpdump;shptest")

  add_test(
    NAME test3
    COMMAND
      ${BASH_EXECUTABLE} ${PROJECT_SOURCE_DIR}/tests/test3.sh ${PROJECT_SOURCE_DIR}/tests/expect3.out
  )
  declare_test_executable(test3 "dbfadd;dbfcreate;dbfdump;shpadd;shpcreate;shpdump")

  include(CTest)

  add_subdirectory(tests)
endif()

include(cmake/contrib.cmake)

add_subdirectory(cmake)

=== cmake/CMakeLists.txt ===
# config file support for find_package (shapelib).

# Variables needed by ${PROJECT_NAME}-config-version.cmake
if (MSVC)
  # For checking the compatibility of MSVC_TOOLSET_VERSION; see
  # https://docs.microsoft.com/en-us/cpp/porting/overview-of-potential-upgrade-issues-visual-cpp
  # Assume major version number is obtained by dropping the last decimal
  # digit.
  math (EXPR MSVC_TOOLSET_MAJOR "${MSVC_TOOLSET_VERSION}/10")
else ()
  set (MSVC_TOOLSET_VERSION 0)
  set (MSVC_TOOLSET_MAJOR 0)
endif ()
if (CMAKE_CROSSCOMPILING)
  # Ensure that all "true" (resp. "false") settings are represented by
  # the same string.
  set (CMAKE_CROSSCOMPILING_STR "ON")
else ()
  set (CMAKE_CROSSCOMPILING_STR "OFF")
endif ()

# Find root of install tree relative to CMAKE_INSTALL_CMAKEDIR
file (RELATIVE_PATH PROJECT_ROOT_DIR
  "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_CMAKEDIR}" "${CMAKE_INSTALL_PREFIX}")
# strip trailing slash
get_filename_component (PROJECT_ROOT_DIR "${PROJECT_ROOT_DIR}/." PATH)


configure_file (project-config.cmake.in project-config.cmake @ONLY)
configure_file (project-config-version.cmake.in
  project-config-version.cmake @ONLY)
install (FILES
  "${CMAKE_CURRENT_BINARY_DIR}/project-config.cmake"
  DESTINATION "${CMAKE_INSTALL_CMAKEDIR}"
  RENAME "${PROJECT_NAME}-config.cmake")
install (FILES
  "${CMAKE_CURRENT_BINARY_DIR}/project-config-version.cmake"
  DESTINATION "${CMAKE_INSTALL_CMAKEDIR}"
  RENAME "${PROJECT_NAME}-config-version.cmake")

=== tests/CMakeLists.txt ===
# CMake configuration for SHP C++ unit tests

project(${CMAKE_PROJECT_NAME}Tests CXX)

# Set up GoogleTest
include(FetchContent)

FetchContent_Declare(
  googletest
  GIT_REPOSITORY https://github.com/google/googletest.git
  GIT_TAG v1.15.2
)

# For Windows: Prevent overriding the parent project's compiler/linker settings
set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)

# Disable building GMock
set(BUILD_GMOCK OFF CACHE BOOL "" FORCE)

# Do not install GTest 
set(INSTALL_GTEST OFF CACHE BOOL "" FORCE)

FetchContent_MakeAvailable(googletest)

foreach(executable dbf_test sbn_test shp_test)
  add_executable(${executable} ${PROJECT_SOURCE_DIR}/${executable}.cc)
  target_link_libraries(${executable} PRIVATE ${PACKAGE} gtest)
  add_test(
    NAME ${executable}
    COMMAND ${executable}
    WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
  )
  target_compile_features(${executable} PUBLIC cxx_std_17)
  set_target_properties(${executable} PROPERTIES FOLDER "tests" CXX_EXTENSIONS OFF)
  if (BUILD_SHARED_LIBS AND ${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.21" AND (WIN32 OR CYGWIN))
    add_custom_command(
      TARGET ${executable} POST_BUILD
      COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_RUNTIME_DLLS:${executable}> $<TARGET_FILE_DIR:${executable}>
      COMMAND_EXPAND_LISTS
    )
  endif()
endforeach()

configure_file(
  ${CMAKE_SOURCE_DIR}/cmake/shapelib.gta.runsettings.in
  ${CMAKE_BINARY_DIR}/shapelib.gta.runsettings
  @ONLY
)

=== debian/changelog ===
shapelib (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Aug 2024 15:02:35 +0200

shapelib (1.6.1~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Aug 2024 11:55:00 +0200

shapelib (1.6.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.
  * Update symbols for 1.6.1~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Aug 2024 15:19:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                ronn (>= 0.9.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/shapelib
 Vcs-Git: https://salsa.debian.org/debian-gis-team/shapelib.git
 Homepage: http://shapelib.maptools.org/
